Subject: Re: bug#26370: v0.12.0-2730-gfc5b12879 'guix system build' hangs on linux-libre-4.10.8

From: Marius Bakke <[email-masked]>
Date: Wed, 05 Apr 2017 23:38:52 +0200

myglc2 <[email-masked]> writes:

> On 04/05/2017 at 19:31 Marius Bakke writes:
>
>> Leo Famulari <[email-masked]> writes:
>>
>>> On Wed, Apr 05, 2017 at 10:55:45AM -0400, myglc2 wrote:
>>>>   HOSTCC  scripts/mod/modpost.o
>>>>   HOSTCC  scripts/mod/file2alias.o
>>>>   HOSTCC  scripts/extract-cert
>>>>   HOSTLD  scripts/genksyms/genksyms
>>>>   CC      arch/x86/purgatory/purgatory.o
>>>>   AS      arch/x86/purgatory/stack.o
>>>>   AS      arch/x86/purgatory/setup-x86_64.o
>>>>   CC      arch/x86/purgatory/sha256.o
>>>>   AS      arch/x86/purgatory/entry64.o
>>>>   CC      arch/x86/purgatory/string.o
>>>>   HOSTLD  scripts/mod/modpost
>>>>   LD      arch/x86/purgatory/purgatory.ro
>>>>   BIN2C   arch/x86/purgatory/kexec-purgatory.c
>>>>   CHK     include/generated/timeconst.h
>>>>   CC      kernel/bounds.s
>>>>   CHK     include/generated/bounds.h
>>>>   UPD     include/generated/bounds.h
>>>
>>> The latest versions of linux-libre (4.10.8, 4.9.20, 4.4.59) are all
>>> hanging around this point. However, they did build in the past:
>>>
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.4.59.x86_64-linux
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.9.20.x86_64-linux
>>> https://hydra.gnu.org/job/gnu/master/linux-libre-4.10.8.x86_64-linux
>>>
>>> And 4.10.7 hangs in the same way, so I think the issue is in an
>>> unrelated change.
>>
>> Reverting dfee7daedb760f1b1d7506829ca31633f4173356 "gnu: bc: Update to
>> 1.07" makes the build proceed.
>
> Thanks Marius, that worked here too. Should I close the bug? - George

Tobias already reverted this in 'master', so I'm closing this now.
Thanks for the report!